mode(-1);

// specific part
libname="tk_MF"
mess=["tk_MF modified tk functions loaded (see Custemized Tcl/Tk Functions help)\n"]
libtitle="Custemized Tcl/Tk Functions";


//  macros 
DIR=get_absolute_file_path("loader.sce");
if fileinfo(DIR+pathconvert("macros/names",%f))<>[] then
    execstr(libname+"=lib("""+DIR+pathconvert("macros/",%f)+""")")
else
    write(%io(2),"the file "+DIR+pathconvert("macros/names",%f)+" does not exist!") 
    write(%io(2)," Was the library built correctly?") 
    write(%io(2)," Trying with getd . ...")
    getd(DIR+"/macros") 
end

// [2] loader for the help chapter (loads only if not already)
// global is fine within a function or a callback, not from an exec loader.sce
execstr("global %helps","errcatch") //should not be needed lately (1/10/05),
                                    // but changed across versions. Was
                                    // ordered by Serge for 3.0, now gives
                                    // error as %helps is a predef.
                                    
write(%io(2),mess)
%helps = [%helps; DIR+'man/man-xml', libtitle]

clear DIR libname libtitle mess
